package hero.client.grapheditor;


import java.awt.Image;
import java.awt.Toolkit;
import java.net.URL;

public class IconManager {

	public static Image getIcon(String name) {
		URL iconUrl = Thread.currentThread().getContextClassLoader().getResource(Frame.imageBase + name);
		return Toolkit.getDefaultToolkit().getImage(iconUrl);
	}

	public static URL getIconUrl(String name) {
		return Thread.currentThread().getContextClassLoader().getResource(Frame.imageBase + name);
	}

	public static String[] listAvailablesIcons() {
		return new String[] {
			"publiee-icon.png",
			"classic-icon.png",
			"waiting-icon.png",
			"locked-red-icon.png",
			"locked-yellow-icon.png",
			"creation-icon.png",
			"ok-icon.png",
			"archived-icon.png" };
	}
	
	public static String getDefaultIcon() {
		return "classic-icon.png";
	}

}
