/*
*
* XPDLConstants.java - 
* Copyright (C) 2003 Ecoo Team
* valdes@loria.fr
* 
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package hero.util;


public interface XPDLConstants
{
//	Process Constants
	 public static final String WORKFLOW_PROCESSES="WorkflowProcesses";
	 public static final String WORKFLOW_PROCESS = "WorkflowProcess";
	 public static final String WORKFLOW_PROCESS_ID = "Id";
	 public static final String WORKFLOW_PROCESS_NAME = "Name";

	 // Activity Constants
	 public static final String ACTIVITIES = "Activities";
	 public static final String ACTIVITY = "Activity";
	 public static final String ACTIVITY_ID = "Id";
	 public static final String ACTIVITY_NAME = "Name";
	 public static final String ACTIVITY_PERFORMER = "Performer";
	 public static final String ACTIVITY_DESCRIPTION = "Description";
	 public static final String ACTIVITY_JOIN = "Join";
	 public static final String ACTIVITY_TYPE = "Type";

	 // Participants Constants
	 public static final String PARTICIPANTS = "Participants";
	 public static final String PARTICIPANT_ID = "Participant";
	 public static final String PARTICIPANT_TYPE = "ParticipantType";
	 public static final String PARTICIPANT_TYPE_TYPE = "Type";

	 // Transitions Constants
	 public static final String TRANSITIONS = "Transitions";
	 public static final String TRANSITION = "Transition";
	 public static final String TRANSITION_FROM = "From";
	 public static final String TRANSITION_ID = "Id";
	 public static final String TRANSITION_NAME = "Name";
	 public static final String TRANSITION_TO = "To";

}
    
